---
title: Get a Bits AI investigation
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Bits AI
---

# Get a Bits AI investigation{% #get-a-bits-ai-investigation %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                         |
| ----------------- | -------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/bits-ai/investigations/{id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/bits-ai/investigations/{id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/bits-ai/investigations/{id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/bits-ai/investigations/{id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/bits-ai/investigations/{id}  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/bits-ai/investigations/{id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/bits-ai/investigations/{id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/bits-ai/investigations/{id} |

### Overview

Get a specific Bits AI investigation by ID. This endpoint requires the `bits_investigations_read` permission.

OAuth apps require the `bits_investigations_read` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#bits-ai) to access this endpoint.



### Arguments

#### Path Parameters

| Name                 | Type   | Description                  |
| -------------------- | ------ | ---------------------------- |
| id [*required*] | string | The ID of the investigation. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response for a single Bits AI investigation.

| Parent field | Field                         | Type     | Description                                                                               |
| ------------ | ----------------------------- | -------- | ----------------------------------------------------------------------------------------- |
|              | data [*required*]        | object   | Data for the get investigation response.                                                  |
| data         | attributes [*required*]  | object   | Attributes of the investigation.                                                          |
| attributes   | conclusions [*required*] | [object] | The conclusions drawn from the investigation.                                             |
| conclusions  | description [*required*] | string   | A full explanation of the finding, including root cause analysis and supporting evidence. |
| conclusions  | summary [*required*]     | string   | A summary of the finding, including affected components and timeframe.                    |
| conclusions  | title [*required*]       | string   | The title of the conclusion.                                                              |
| attributes   | status [*required*]      | string   | The current status of the investigation.                                                  |
| attributes   | title [*required*]       | string   | The title of the investigation.                                                           |
| data         | id [*required*]          | string   | The unique identifier of the investigation.                                               |
| data         | type [*required*]        | enum     | The resource type for investigations. Allowed enum values: `investigation`                |
|              | links [*required*]       | object   | Links related to the investigation.                                                       |
| links        | self [*required*]        | string   | The URL to the investigation in the Datadog app.                                          |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "conclusions": [
        {
          "description": "The investigation found that a memory leak in payments-service caused CPU usage to spike above 95% starting at 14:32 UTC.",
          "summary": "CPU usage exceeded 95% for over 10 minutes on web-server-01.",
          "title": "High CPU usage detected on web-server-01"
        }
      ],
      "status": "conclusive",
      "title": "Monitor alert investigation for web-server-01"
    },
    "id": "a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
    "type": "investigation"
  },
  "links": {
    "self": "https://app.datadoghq.com/bits-ai/investigations/a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export id="a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/bits-ai/investigations/${id}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
##### 

```python
"""
Get a Bits AI investigation returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.bits_ai_api import BitsAIApi

configuration = Configuration()
configuration.unstable_operations["get_investigation"] = True
with ApiClient(configuration) as api_client:
    api_instance = BitsAIApi(api_client)
    response = api_instance.get_investigation(
        id="id",
    )

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# Get a Bits AI investigation returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.get_investigation".to_sym] = true
end
api_instance = DatadogAPIClient::V2::BitsAIAPI.new
p api_instance.get_investigation("id")
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```go
// Get a Bits AI investigation returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.GetInvestigation", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewBitsAIApi(apiClient)
	resp, r, err := api.GetInvestigation(ctx, "id")

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `BitsAIApi.GetInvestigation`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `BitsAIApi.GetInvestigation`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// Get a Bits AI investigation returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.BitsAiApi;
import com.datadog.api.client.v2.model.GetInvestigationResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.getInvestigation", true);
    BitsAiApi apiInstance = new BitsAiApi(defaultClient);

    try {
      GetInvestigationResponse result =
          apiInstance.getInvestigation("a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d");
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling BitsAiApi#getInvestigation");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```rust
// Get a Bits AI investigation returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_bits_ai::BitsAIAPI;

#[tokio::main]
async fn main() {
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.GetInvestigation", true);
    let api = BitsAIAPI::with_config(configuration);
    let resp = api.get_investigation("id".to_string()).await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * Get a Bits AI investigation returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.getInvestigation"] = true;
const apiInstance = new v2.BitsAIApi(configuration);

const params: v2.BitsAIApiGetInvestigationRequest = {
  id: "id",
};

apiInstance
  .getInvestigation(params)
  .then((data: v2.GetInvestigationResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
